Table of Contents

Class: BreakpointDialog | eric3/Debugger/BreakpointDialog.py
--- | ---

### Class implementing a dialog for editing breakpoints.

In this dialog all currently set breakpoint can be delete or be changed. Unconditional breakpoints can be converted to conditional ones by entering a condition term, conditional ones to unconditional by removing the condition term. This dialog has three different modes. In `project` mode all breakpoints of the current project are shown, in `global` mode all breakpoints and in `file` mode the breakpoints of a specific file.

Base Classes |
--- | ---
BreakpointForm

Methods |
--- | ---
__init__ handleDeleteAll handleDeleteSelected handleDeleteSingle handleEditBP handleGoto handleListContextmenu
| __init__

    __init__ (
            self,
            parent=None,
            name=None,
            modal=0,
            fl=0,
            fn=None,
            )

### Constructor

#### Arguments

parent
  parent widget of this dialog (QWidget)
name
  the name of this dialog (string or QString)
modal
  flag to indicate a modal dialog (boolean)
fl
  window flags
fn
  determines the mode of the dialog
  None
    the `global` breakpoint dialog
  `project`
    the `project` breakpoint dialog
  filename
    the `file` breakpoint dialog

| handleDeleteAll

    handleDeleteAll ( self )

Private slot to delete all breakpoints listed in the listview.

| handleDeleteSelected

    handleDeleteSelected ( self )

Private slot to delete the selected breakpoints of the listview.

| handleDeleteSingle

    handleDeleteSingle ( self )

Private slot to delete a single breakpoint.

| handleEditBP

    handleEditBP ( self )

Private slot to edit the properties of the selected breakpoint.

| handleGoto

    handleGoto ( self )

Private slot to go to a breakpoint.

| handleListContextmenu

    handleListContextmenu (
            self,
            item,
            pos,
            col,
            )

### Private slot to show the context menu of the listview.

#### Arguments

item
  the item under the mouse cursor (QListViewItem)
pos
  global position of the context menu (QPoint)
col
  column of the mouse cursor (int)

Table of Contents

This document was automatically generated by HappyDoc version 2.1